<?php

if (empty($_GET['sok'])) {
    echo '<div class="post"><div style="text-align:center">' . "\n";
    echo 'Вы действительно хотите удалить пользователя <b>' . htmlentities($_GET['elid'], ENT_QUOTES, 'UTF-8') . '</b> защищенной директории <b>' . htmlentities($_GET['plid'], ENT_QUOTES, 'UTF-8') . '</b>?<br />' . "\n";
    echo '<a href="?func=diraccess.user.delete&amp;elid=' . urlencode($_GET['elid']) . '&amp;plid=' . urlencode($_GET['plid']) . '&amp;sok=yes">Да</a> / <a href="?func=diraccess.user&amp;elid=' . urlencode($_GET['plid']) . '">Нет</a>' . "\n";
    echo '</div></div>' . "\n";
} else {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=diraccess.user.delete&elid=' . urlencode($_GET['elid']) . '&plid=' . urlencode($_GET['plid']) . '&out=xml&auth=' . urlencode($_SESSION['auth']));
    $parse_xml = simplexml_load_string($content);
    if (isset($parse_xml->ok)) {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Пользователь успешно удален!<br />' . "\n";
        echo '<a href="?func=diraccess.user&amp;elid=' . urlencode($_GET['plid']) . '">Продолжить</a>' . "\n";
        echo '</div></div>' . "\n";
    } else {
        echo '<div class="menu"><div style="text-align:center">' . "\n";
        echo 'Ошибка при удалении пользователя!<br />' . "\n";
        echo '<a href="?func=diraccess.user&amp;elid=' . urlencode($_GET['plid']) . '">Продолжить</a>' . "\n";
        echo '</div></div>' . "\n";
    }
}

?>